<?php

/**
 * mibooz functions for getting inline styles from theme customizer
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package mibooz
 */

if (!function_exists('mibooz_theme_customizer_styles')) :
	function mibooz_theme_customizer_styles()
	{

		// mibooz color option

		$mibooz_inline_style = '';
		$mibooz_inline_style .= ':root {
			--mibooz-primary: ' . get_theme_mod('theme_base_color', sanitize_hex_color('#dd0429')) . ';  
			--mibooz-primary-rgb: '. mibooz_hex_to_rgb(get_theme_mod('theme_base_color', sanitize_hex_color('#dd0429'))) . ';
			--mibooz-black: ' . get_theme_mod('theme_black_color', sanitize_hex_color('#17161a')) . '; 
			--mibooz-black-rgb: '. mibooz_hex_to_rgb(get_theme_mod('theme_black_color', sanitize_hex_color('#17161a'))) . ';
		}';

		$mibooz_inner_banner_bg = get_theme_mod('page_header_bg_image');
		$mibooz_inline_style .= '.page-header-bg { background-image: url(' . $mibooz_inner_banner_bg . '); } ';

		$mibooz_preloader_icon = get_theme_mod('preloader_image');
		if ($mibooz_preloader_icon) {
			$mibooz_inline_style .= '.preloader .preloader__image { background-image: url(' . $mibooz_preloader_icon . '); } ';
		}

		if (is_page()) {


			$mibooz_page_base_color = empty(get_post_meta(get_the_ID(), 'mibooz_base_color', true)) ? get_theme_mod('theme_base_color', sanitize_hex_color('#dd0429')) : get_post_meta(get_the_ID(), 'mibooz_base_color', true);

			$mibooz_page_black_color = empty(get_post_meta(get_the_ID(), 'mibooz_black_color', true)) ? get_theme_mod('theme_black_color', sanitize_hex_color('#17161a')) : get_post_meta(get_the_ID(), 'mibooz_black_color', true);

			$mibooz_inline_style .= ':root {
				--mibooz-primary: ' . $mibooz_page_base_color . ';
				--mibooz-primary-rgb: '. mibooz_hex_to_rgb( $mibooz_page_base_color ) . ';
				--mibooz-black: ' . $mibooz_page_black_color . '; 
				--andesti-black-rgb: '. mibooz_hex_to_rgb( $mibooz_page_black_color ). ';
			}';

			$mibooz_page_header_bg = empty(get_post_meta(get_the_ID(), 'mibooz_set_header_image', true)) ? get_theme_mod('page_header_bg_image') : get_post_meta(get_the_ID(), 'mibooz_set_header_image', true);

			$mibooz_inline_style .= '.page-header-bg { background-image: url(' . $mibooz_page_header_bg . '); }';
		}


		wp_add_inline_style('mibooz-style', $mibooz_inline_style);
	}
endif;

add_action('wp_enqueue_scripts', 'mibooz_theme_customizer_styles');
