<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package mibooz
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('blog-single__content-single'); ?>>

	<!--Blog Sidebar Content Single-->
	<div class="blog-sidebar__content-single">

		<?php mibooz_post_thumbnail(); ?>

		<div class="blog-sidebar__content-box">
			<ul class="list-unstyled blog-sidebar__meta ml-0">
				<li><?php mibooz_posted_by(); ?></li>
				<li><?php mibooz_posted_on(); ?></li>
				<?php if (!is_single() && !post_password_required() && (comments_open() || get_comments_number())) : ?>
					<li><?php mibooz_comment_count(); ?></li>
				<?php endif; ?>
			</ul>
			<h3 class="blog-sidebar__title">
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h3>
			<?php $mibooz_excerpt_count = apply_filters('mibooz_excerpt_count', 39); ?>
			<p class="blog-sidebar__text"><?php mibooz_excerpt($mibooz_excerpt_count); ?></p>
			<div class="blog-sidebar__read-more-btn">
				<a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More', 'mibooz'); ?></a>
			</div>
		</div>
	</div>

</article><!-- #post-<?php the_ID(); ?> -->