<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package mibooz
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php mibooz_post_thumbnail(); ?>

	<div class="blog-details__content clearfix">
	<?php if ('post' === get_post_type()) : ?>
		<ul class="list-unstyled blog-details__meta ml-0">
			<li><?php mibooz_posted_on(); ?></li>
			<li><span>/</span></li>
			<li><?php mibooz_posted_by(); ?></li>
		</ul>
	<?php endif; ?>
		<?php
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						esc_html__('Continue reading', 'mibooz') . '<span class="screen-reader-text"> "%s"</span>',
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post(get_the_title())
				)
			);

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__('Pages:', 'mibooz'),
					'after'  => '</div>',
				)
			);
			?>
	</div>
	<div class="blog-details__bottom">
		<?php mibooz_entry_footer(); ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->