<?php

/**
 * Template part for displaying footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package mibooz
 */
?>


<?php
$mibooz_page_id     = get_queried_object_id();
$mibooz_custom_footer_status = !empty(get_post_meta($mibooz_page_id, 'mibooz_custom_footer_status', true)) ? get_post_meta($mibooz_page_id, 'mibooz_custom_footer_status', true) : 'off';

$mibooz_custom_footer_id = '';
if ((is_page() && 'on' === $mibooz_custom_footer_status) || (is_singular('portfolio') && 'on' === $mibooz_custom_footer_status) || (is_singular('service') && 'on' === $mibooz_custom_footer_status)) {
	$mibooz_custom_footer_id = get_post_meta($mibooz_page_id, 'mibooz_select_custom_footer', true);
} elseif (true == get_theme_mod('footer_custom')) {
	$mibooz_custom_footer_id = get_theme_mod('footer_custom_post');
} else {
	$mibooz_custom_footer_id = 'default_footer';
}

$mibooz_dynamic_footer = isset($_GET['custom_footer_id']) ? $_GET['custom_footer_id'] : $mibooz_custom_footer_id;
?>


<?php if ('default_footer' == $mibooz_dynamic_footer) : ?>

	<footer class="site-footer">
		<div class="site-footer__bottom">
			<div class="container">
				<div class="row">
					<div class="col-xl-12">
						<div class="site-footer__bottom-inner">
							<p class="site-footer__bottom-text"><?php echo wp_kses(get_theme_mod('footer_copytext', esc_html__('&copy; Copyright 2024 by Mibooz WordPress Theme', 'mibooz')), 'mibooz_allowed_tags'); ?>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</footer>

<?php else : ?>
	<?php echo do_shortcode('[mibooz-footer id="' . $mibooz_dynamic_footer . '"]');
	?>
<?php endif; ?>